t=[6 8	10	14	16	18	20];            %测温度时间t 
T=[16 17.5 19.3	22	21.2 19.5 18];   %测得的温度T 
t1=12;                                    %待插值点t1 
T1=interp1(t,T,t1,'nearest')     %最近点插值方法的插值结果
T2=interp1(t,T,t1,'linear')        %线性插值方法的插值结果
T3=interp1(t,T,t1,'next')         %后一点插值
T4=interp1(t,T,t1,'previous')     %前一点插值
T5=interp1(t,T,t1,'cubic')        %三次多项式插值
T6=interp1(t,T,t1,'spline')       %三次样条插值



